hmatrix-gsl-0.19.0.1: Numerical computation

Copyright | (c) Alberto Ruiz 2006
License | GPL
Maintainer | Alberto Ruiz
Stability | provisional
Safe Haskell | None
Language | Haskell2010

Numeric.GSL.Fourier

Description

Fourier Transform.

http://www.gnu.org/software/gsl/manual/html_node/Fast-Fourier-Transforms.html#Fast-Fourier-Transforms

Synopsis

- fft :: Vector (Complex Double) -> Vector (Complex Double)
- ifft :: Vector (Complex Double) -> Vector (Complex Double)

# Documentation

fft :: Vector (Complex Double) -> Vector (Complex Double) Source #

Fast 1D Fourier transform of a `Vector` `(``Complex` `Double``)` using gsl_fft_complex_forward. It uses the same scaling conventions as GNU Octave.

    >>> fft (fromList [1,2,3,4])
    fromList [10.0 :+ 0.0,(-2.0) :+ 2.0,(-2.0) :+ 0.0,(-2.0) :+ (-2.0)]

ifft :: Vector (Complex Double) -> Vector (Complex Double) Source #

The inverse of `fft`, using gsl_fft_complex_inverse.